/*
 * Copyright (C) 2014-2018 Olzhas Rakhimov
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/// @file
/// Implementations of functions returning
/// the version information
/// of the core and dependencies.
/// Some information is filled by CMake and Git.

#include "version.h"

#include <boost/version.hpp>

#include <libxml/xmlversion.h>

namespace scram::version {

const char* describe() { return ""; }

const char* build() { return "RelWithDebInfo"; }

// clang-format off
const char* core() {
  return "0.16.2";
}
// clang-format on

const char* boost() { return BOOST_LIB_VERSION; }

const char* libxml() { return LIBXML_DOTTED_VERSION; }

}  // namespace scram::version
